<?php
// include 'config.php'; 

// if (isset($_POST['letter_id'])) {
//     $letter_id = $_POST['letter_id'];

//     $query = "SELECT letter_id, formate_title, letter_content FROM letter WHERE letter_id = ?";
//     $stmt = $conn->prepare($query);
//     $stmt->bind_param("i", $letter_id);
//     $stmt->execute();
//     $result = $stmt->get_result();
    
//     if ($result->num_rows > 0) {
//         $data = $result->fetch_assoc();
//         echo json_encode(["success" => true, "data" => $data]);
//     } else {
//         echo json_encode(["success" => false, "message" => "Letter not found"]);
//     }

//     $stmt->close();
//     $conn->close();
// } else {
//     echo json_encode(["success" => false, "message" => "Invalid request"]);
// }
include 'config.php'; 

if (isset($_POST['letter_id'])) {
    $letter_id = $_POST['letter_id'];

    $query = "SELECT letter_id, formate_title, letter_content FROM letter WHERE letter_id = ?";
    $stmt = $conn->prepare($query);

    if (!$stmt) {
        echo json_encode(["success" => false, "message" => "Query preparation failed: " . $conn->error]);
        exit;
    }

    $stmt->bind_param("i", $letter_id);
    $stmt->execute();
    $result = $stmt->get_result();

    if (!$result) {
        echo json_encode(["success" => false, "message" => "Query execution failed: " . $stmt->error]);
        exit;
    }

    if ($result->num_rows > 0) {
        $data = $result->fetch_assoc();
        echo json_encode(["success" => true, "data" => $data]);
    } else {
        echo json_encode(["success" => false, "message" => "Letter not found"]);
    }

    $stmt->close();
    $conn->close();
} else {
    echo json_encode(["success" => false, "message" => "Invalid request"]);
}

?>
