<?php
session_start(); // Start session for success message storage
include 'config.php'; // Include database connection

if ($_SERVER["REQUEST_METHOD"] === "POST") {
    $category_name = trim($_POST["category_name"]);
    $sub_categories = isset($_POST["sub_categories"]) ? trim($_POST["sub_categories"]) : "";
    $status = 'Active';
    
    $sub_categories_array = array_filter(array_map('trim', explode(",", $sub_categories)));
    $sub_categories = implode(",", $sub_categories_array); // Reformat properly

    if (empty($category_name)) {
        $_SESSION['error_message'] = "Category name cannot be empty.";
        header("Location: test.php");
        exit;
    }

    // Prepare SQL statement
    $query = "INSERT INTO categories (category_name, sub_categories, status) VALUES (?, ?, ?)";
    $stmt = $conn->prepare($query);

    if ($stmt) {
        $stmt->bind_param("sss", $category_name, $sub_categories, $status);

        if ($stmt->execute()) {
            header("Location: test.php");
            $_SESSION['success_message'] = "Category Created Successfully!";
        } else {
            $_SESSION['error_message'] = "Database error: " . $stmt->error;
        }

        $stmt->close();
    } else {
        $_SESSION['error_message'] = "SQL Prepare failed: " . $conn->error;
    }

    $conn->close();

    // Redirect to test.php to display the success message
    header("Location: test.php");
    exit;
}
?>
