<?php
include 'config.php';

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $category_id = $_POST['category_id'] ?? null;
    $category_name = $_POST['category_name'] ?? null;
    $sub_categories = $_POST['sub_categories'] ?? null;

    // Debugging: Log received values
    error_log("Category ID: " . print_r($category_id, true));
    error_log("Category Name: " . print_r($category_name, true));
    error_log("Sub Categories: " . print_r($sub_categories, true));

    // Ensure sub_categories is an array
    if (!is_array($sub_categories)) {
        $sub_categories = explode(',', $sub_categories);
    }

    $sub_categories_str = implode(',', $sub_categories); // Convert array to string

    // Check if category ID is missing
    if (!$category_id) {
        echo json_encode(["success" => false, "error" => "Category ID is missing"]);
        exit;
    }

    $sql = "UPDATE categories SET category_name = ?, sub_categories = ? WHERE category_id = ?";
    $stmt = $conn->prepare($sql);
    $stmt->bind_param("ssi", $category_name, $sub_categories_str, $category_id);

    if ($stmt->execute()) {
        echo json_encode(["success" => true]);
    } else {
        echo json_encode(["success" => false, "error" => $stmt->error]);
    }

    $stmt->close();
    $conn->close();
}

?>
