<?php
include "config.php"; 

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $category_id = $_POST['category_id'];
    $new_sub_category = trim($_POST['sub_category']);

    if (empty($category_id) || empty($new_sub_category)) {
        echo "Invalid category or sub-category!";
        exit;
    }

    $query = "SELECT sub_categories FROM categories WHERE category_id = ?";
    $stmt = $conn->prepare($query);
    $stmt->bind_param("i", $category_id);
    $stmt->execute();
    $stmt->bind_result($existing_sub_categories);
    $stmt->fetch();
    $stmt->close();

    // Append new sub-category to existing ones
    $updated_sub_categories = empty($existing_sub_categories) ? $new_sub_category : $existing_sub_categories . "," . $new_sub_category;

    // Update the categories table
    $updateQuery = "UPDATE categories SET sub_categories = ? WHERE category_id = ?";
    $stmt = $conn->prepare($updateQuery);
    $stmt->bind_param("si", $updated_sub_categories, $category_id);

    if ($stmt->execute()) {
        echo "Sub-category updated successfully!";
    } else {
        echo "Error updating sub-category!";
    }

    $stmt->close();
    $conn->close();
}
?>
